@mixin bp($breakpoint) {
  @if map-has-key($breakpoints, $breakpoint) {
    @media (max-width: #{map-get($breakpoints, $breakpoint)}) {
      @content;
    }
  }
}

@mixin grid($type) {
  @each $size, $percentage in $grid {
    .col-#{$type}-#{$size} {
      width: $percentage;
    }
  }
}

@mixin flex-col($align: "center") {
  display: flex;
  flex-direction: column;
  align-items: $align;
}

@mixin flex-row($align) {
  display: flex;
  flex-direction: row;
  align-items: $align;
}